Bug 982415 - Please remove porn extractor
Please remove porn extractor
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
rawhide
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 21:25 EDT by جاك الفضة
Modified: 2013-07-18 17:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-18 17:55:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description جاك الفضة 2013-07-08 21:25:59 EDT
Description of problem:

Pornography is considered offending in many cultures and it is not
compatible an enterprise class operating system. Please remove the
following extractor for adult content web site:

/usr/lib/python2.7/dist-packages/youtube_dl/extractor/youporn.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/youjizz.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/xhamster.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/xnxx.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/xvideos.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/redtube.py
/usr/lib/python2.7/dist-packages/youtube_dl/extractor/pornotube.py

(maybe there are others, I just listed those with an explicit name).
Comment 1 Christopher Meng 2013-07-08 23:19:43 EDT
I'm investigating it, please wait.
Comment 2 Lubomir Rintel (GoodData, inactive) 2013-07-09 05:05:33 EDT
Hi,

thank you for sharing your concern. I don't believe it should be acted upon 
though. Thus, please do _NOT_ remove the adult content extractors.

Please let me explain:

1.) The code in question does not carry any pornographic content.

It merely is able to download content. Last time I checked Firefox browser (and 
other user agents shipped with Fedora) was able to browse adult content without
any limitation. I'm sure you don't want those to be removed.

2.) The code is actually useful to users and being actively used

I'm sure you won't like the idea of removing software you use just because it 
offends someone else. There is a rather large amount of software engineers 
offended by presence of Maven or Java platform itself. It just happens when the
user base is big enough and used by diverse communities. If every potentially
offending piece of software was removed, there probably won't be much left in
the distribution.

The packaging mechanism makes it possible to easily uninstall the software or 
even can be configured to ignore the packages (see exclude= in yum.conf(5)).

(If you find the rest of youtube-dl useful and can't afford to install adult 
content extractors, maybe they can be split into a subpackage?)

2.) The code does not violate Fedora policy on forbidden items

Please have a look at https://fedoraproject.org/wiki/Forbidden_items

Actually, the reverse is true -- it is preferable for Fedora to ship unmodified 
software packages as provided by respective upstreams.
Comment 3 Till Maas 2013-07-18 17:55:52 EDT
جاك الفضة,
as long as the package does not ship pornographic contents, it is not against any current Fedora policy. There has been a Fedora board decision about a similar package to allow it:
https://bugzilla.redhat.com/show_bug.cgi?id=503013#c21

Also EPEL is not strictly for enterprise users:
https://fedoraproject.org/wiki/EPEL/FAQ#Are_games_or_similar_packages_not_strictly_meant_for_enterprise_users_allowed_and_wanted.3F

I suggest that you enforce your policy by blocking access to the respective web sites directly for example in a firewall, which will work independently of the client used to access the web site.

Note You need to log in before you can comment on or make changes to this bug.